import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { AuthSignUpComponent } from './auth-sign-up.component';
import { SignupTypeComponent } from './signup-type/signup-type.component';
import { SignupBusinessComponent } from './signup-business/signup-business.component';
import { SignupContractorComponent } from './signup-contractor/signup-contractor.component';
import { SignupEmployeeComponent } from './signup-employee/signup-employee.component';

const routes: Routes = [
  {
    path: '',
    component: AuthSignUpComponent,
    children: [
      { path: '', component: SignupTypeComponent },
      {
        path: 'business',
        component: SignupBusinessComponent,
      },
      {
        path: 'contractor',
        component: SignupContractorComponent,
      },
      {
        path: 'employee',
        component: SignupEmployeeComponent,
      },
    ],
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class AuthSignUpRoutingModule {}
