import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { OrdersRoutingModule } from './orders-routing.module';
import { OrdersComponent } from './orders.component';
import { OrderListComponent } from './order-list/order-list.component';
import { OrderFormComponent } from './order-form/order-form.component';
import { OrderDetailsComponent } from './order-details/order-details.component';
import { OrderHeaderComponent } from './components/order-header/order-header.component';
import { SharedModule } from '@shared/shared.module';
import { LeavesFormComponent } from './order-form/leaves-form/leaves-form.component';
import { OvertimeFormComponent } from './order-form/overtime-form/overtime-form.component';
import { MedicalFormComponent } from './order-form/medical-form/medical-form.component';
import { BusinessTripFormComponent } from './order-form/business-trip-form/business-trip-form.component';

@NgModule({
  declarations: [
    OrdersComponent,
    OrderListComponent,
    OrderFormComponent,
    OrderDetailsComponent,
    OrderHeaderComponent,
    LeavesFormComponent,
    OvertimeFormComponent,
    MedicalFormComponent,
    BusinessTripFormComponent,
  ],
  imports: [CommonModule, OrdersRoutingModule, SharedModule],
})
export class OrdersModule {}
