import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { ProfileComponent } from './profile.component';
import { BasicInformationComponent } from './basic-information/basic-information.component';
import { EducationQualificationComponent } from './education-qualification/education-qualification.component';
import { AddressComponent } from './address/address.component';
import { AttachementsComponent } from './attachements/attachements.component';
import { TermsConditionsComponent } from './terms-conditions/terms-conditions.component';
import { SecurityComponent } from './security/security.component';

const routes: Routes = [
  {
    path: '',
    component: ProfileComponent,
    children: [
      { path: '', component: BasicInformationComponent },
      {
        path: 'education',
        component: EducationQualificationComponent,
      },
      {
        path: 'address',
        component: AddressComponent,
      },
      {
        path: 'attachements',
        component: AttachementsComponent,
      },
      {
        path: 'terms-conditions',
        component: TermsConditionsComponent,
      },
      {
        path: 'security',
        component: SecurityComponent,
      },
    ],
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class ProfileRoutingModule {}
