import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { TeamsRoutingModule } from './teams-routing.module';
import { TeamsComponent } from './teams.component';
import { ListComponent } from './list/list.component';
import { ItemComponent } from './list/item/item.component';
import { TeamsFilterComponent } from './components/teams-filter/teams-filter.component';
import { SharedModule } from '@shared/shared.module';
import { TeamInfoComponent } from './team-info/team-info.component';
import { TeamInfoHeaderComponent } from './components/team-info-header/team-info-header.component';
import { TeamInfoCardComponent } from './team-info/team-info-card/team-info-card.component';
import { CreateTeamComponent } from './components/create-team/create-team.component';

@NgModule({
  declarations: [
    TeamsComponent,
    ListComponent,
    ItemComponent,
    TeamsFilterComponent,
    TeamInfoComponent,
    TeamInfoHeaderComponent,
    TeamInfoCardComponent,
    CreateTeamComponent,
  ],
  imports: [CommonModule, TeamsRoutingModule, SharedModule],
})
export class TeamsModule {}
